import { JSX } from 'solid-js';

declare function WindowManager(attrs: any): JSX.Element;

interface WindowControls {
}

type WindowStore = {
    windows: WindowsObject;
};
interface WindowsObject {
    [key: string | number]: WindowProps;
}
interface WindowProps {
    component: string;
    props: any;
    attrs: WindowAttrs;
}
interface WindowState {
    [key: string]: any;
}
interface WindowAttrs {
    maximized: boolean;
    minimized: boolean;
    pos: [number, number];
    size: [number, number];
    zIndex: number;
    icon?: null | string;
    key: string;
    state: WindowState;
}
declare const _default: () => [get: WindowStore, actions: {
    openWindow: (component: any, props: any) => void;
    closeWindow: (key: any) => void;
    moveWindow: (key: any, pos: any) => void;
    resizeWindow: (key: any, size: any) => void;
    focusWindow: (key: any) => void;
    updateWindowState: (key: any, newState: any) => void;
    maximizeWindow: (key: any, maximized: any) => void;
    minimizeWindow: (key: any, minimized: any) => void;
}];

export { WindowControls, WindowManager, _default as windowStore };
